// 需要登录的路由
export const router = [
  {
    path: '/orderDetail',
    name: 'orderDetail',
    component: () => import('@/views/order-detail/index'),
    meta: {
      title: '订单详情'
    }
  },
  {
    path: '/tradeDetail',
    name: 'tradeDetail',
    component: () => import('@/views/trade/trade-detail'),
    meta: {
      title: '交易详情'
    }
  },
  {
    path: '/goodsOrder',
    name: 'goodsOrder',
    component: () => import('@/views/goods-order/index'),
    meta: {
      title: '商品订单'
    }
  },
  {
    path: '/afterSale',
    name: 'afterSale',
    component: () => import('@/views/goods-order/after-sale'),
    meta: {
      title: '售后服务'
    }
  },
  {
    path: '/shopMall',
    name: 'shopMall',
    component: () => import('@/views/shop-mall/index'),
    meta: {
      title: '商城'
    }
  },
  {
    path: '/goodsList',
    name: 'goodsList',
    component: () => import('@/views/shop-mall/goods-list/index'),
    meta: {
      title: '商品列表'
    }
  },
  {
    path: '/goodsDetail',
    name: 'goodsDetail',
    component: () => import('@/views/shop-mall/goods-detail'),
    meta: {
      title: '商品详情'
    }
  },
  {
    path: '/cart',
    name: 'cart',
    component: () => import('@/views/cart'),
    meta: {
      title: '购物车'
    }
  },
  {
    path: '/cartConfirm',
    name: 'cartConfirm',
    component: () => import('@/views/cart/cart-confirm'),
    meta: {
      title: '确认订单'
    }
  },
  {
    path: '/cartConfirmAgin',
    name: 'cartConfirmAgin',
    component: () => import('@/views/cart/cart-confirm-agin'),
    meta: {
      title: '确认订单'
    }
  },
  {
    path: '/shopOrderDetail',
    name: 'shopOrderDetail',
    component: () => import('@/views/shop-mall/shop-order-detail'),
    meta: {
      title: '订单详情'
    }
  },
  {
    path: '/address',
    name: 'address',
    component: () => import('@/views/address'),
    meta: {
      title: '地址列表'
    }
  },
  {
    path: '/editAddress',
    name: 'editAddress',
    component: () => import('@/views/address/edit-address'),
    meta: {
      title: '编辑地址'
    }
  },
  {
    path: '/shopTrade',
    name: 'shopTrade',
    component: () => import('@/views/shop-mall/shop-trade/trade-detail'),
    meta: {
      title: '交易详情'
    }
  },
  {
    path: '/coupons',
    name: 'coupons',
    component: () => import('@/views/coupons/index'),
    meta: {
      title: '优惠券'
    }
  }
]

// 不需要登录的路由
export const rootRouter = []
